Package org.apache.commons.math3.geometry.hull

# Interface ConvexHull<S extends Space,P extends Point<S>>

Type Parameters:
  `S` - Space type.
  `P` - Point type.

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ConvexHull2D`

public interface ConvexHull<S extends Space,P extends Point<S>> extends Serializable
This class represents a convex hull.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Region<S>`
`createRegion()`
Returns a new region that is enclosed by the convex hull.
`P[]`
`getVertices()`
Get the vertices of the convex hull.

## Method Details

### getVertices

P[] getVertices()
Get the vertices of the convex hull.

Returns:
  vertices of the convex hull

### createRegion

Region<S> createRegion() throws InsufficientDataException
Returns a new region that is enclosed by the convex hull.

Returns:
  the region enclosed by the convex hull
Throws:
  `InsufficientDataException` - if the number of vertices is not enough to build a region in the respective space